FROM ubuntu:20.04

ENV DEBIAN_FRONTEND noninteractive

ADD st-stlink-udev-rules-1.0.2-4-linux-all.deb /root
ADD st-stlink-server-2.0.2-1-linux-amd64.deb /root
ADD st-stm32cubeide-1.6.1-9958-20210326-1446_amd64.deb /root

RUN apt-get -y update && apt-get -y upgrade
RUN apt-get install -y build-essential
RUN apt-get install -y zenity xterm libncurses5 libpython2.7
RUN apt-get install -y git

RUN echo 'y' | DISPLAY=:0 dpkg -i /root/st-stlink-udev-rules-1.0.2-4-linux-all.deb
RUN echo 'y' | DISPLAY=:0 dpkg -i /root/st-stlink-server-2.0.2-1-linux-amd64.deb
RUN echo 'y' | DISPLAY=:0 dpkg -i /root/st-stm32cubeide-1.6.1-9958-20210326-1446_amd64.deb

RUN useradd -m user
USER user
WORKDIR /home/user

ENV PATH="/opt/st/stm32cubeide_1.6.1/:${PATH}"
